#! /bin/sh

IBAUD=19200
BAUD=57600
PORT=/dev/cua1
FILE=init.exe

echo -n uploading $FILE to $PORT at $BAUD ...
START=`date`
stty $IBAUD sane < $PORT
stty ignbrk -brkint -icrnl -imaxbel -opost -onlcr < $PORT
stty -isig -icanon -iexten -echo -echoe -echok -echoctl -echoke < $PORT
echo > $PORT
echo baud $BAUD > $PORT
stty $BAUD < $PORT
echo > $PORT
echo load > $PORT
cat $FILE > $PORT
echo > $PORT
echo run > $PORT
stty $IBAUD < $PORT    # The application seems to reset the baud rate
echo " done."
echo start: $START
echo finish: `date`
echo
cat $PORT
